diff -Naur a/mygpoclient/locator_test.py b/mygpoclient/locator_test.py
--- a/mygpoclient/locator_test.py	2018-03-27 02:18:57.711105496 -0300
+++ b/mygpoclient/locator_test.py	2018-03-27 02:22:02.201109125 -0300
@@ -16,7 +16,7 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 from mygpoclient import locator
-import unittest
+import unittest, sys
 
 class Test_Exceptions(unittest.TestCase):
     def setUp(self):
@@ -54,18 +54,21 @@
                 podcast='http://example.org/episodes.rss',
                 device_id='gpodder')
 
+    @unittest.skipIf(hasattr(sys, 'pypy_version_info'), "pypy doesn't raise ValueError")
     def test_device_settings_uri_exception(self):
         """Test if using no parameter for a device Setting raises a ValueError"""
         self.assertRaises(ValueError,
                           self.locator.settings_uri, type='device',
                           scope_param1=None, scope_param2=None)
 
+    @unittest.skipIf(hasattr(sys, 'pypy_version_info'), "pypy doesn't raise ValueError")
     def test_podcast_settings_uri_exception(self):
         """Test if using no parameter for a podcast Setting raises a ValueError"""
         self.assertRaises(ValueError,
                           self.locator.settings_uri, type='podcast',
                           scope_param1=None, scope_param2=None)
 
+    @unittest.skipIf(hasattr(sys, 'pypy_version_info'), "pypy doesn't raise ValueError")
     def test_episode_settings_uri_exception(self):
         """Test if only using one parameter for a episode Setting raises a ValueError"""
         self.assertRaises(ValueError,
